;  vdcursor.asm  Version 1.0  Released 14-Apr-92

; Video Cursor Position Read Routine .ASM

; Copyright 1992, DF Software Development, Inc.
; Source code for vdcursor.bin

; MASM 6.0 assemble with: ml vdcursor.asm
; convert to .bin with:   exe2bin vdcursor.exe vdcursor.bin

.model large
.code

vdcursor proc uses bx ds

      push     bx                      ;save because we change to screen #
      mov      ah,3                    ;read cursor position service
      mov      bh,0                    ;screen 0
      int      10h                     ;video bios call
      pop      bx                      ;restore bx
      inc      dh                      ;convert from 0-n .. 1..n+1 to get
      inc      dl                      ; around 0 = string terminator
      mov      word ptr ds:[bx],dx     ;store cursor col,row
      ret

vdcursor endp

end
